Bug 1004437 - m2crypto test suite fails with openssl 1.0.1
m2crypto test suite fails with openssl 1.0.1
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: m2crypto (Show other bugs)
6.5
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Miloslav Trmač
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 11:52 EDT by Hubert Kario
Modified: 2017-12-06 06:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 06:50:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hubert Kario 2013-09-04 11:52:23 EDT
Description of problem:
The new openssl in 6.5 introduces support for TLS 1.2, because of that some test cases in upstream test suite fail.

Version-Release number of selected component (if applicable):
m2crypto-0.20.2-9.el6.x86_64
openssl-1.0.1e-10.el6.x86_64
openssl-1.0.1e-10.el6.i686

How reproducible:
Always

Steps to Reproduce:
1. Run test suite in /usr/share/doc/m2crypto-0.20.2/tests
2.
3.

Actual results:
======================================================================
FAIL: test_sslv23_no_v2 (test_ssl.MiscSSLClientTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/share/doc/m2crypto-0.20.2/tests/test_ssl.py", line 383, in test_sslv23_no_v2
    self.failUnlessEqual(s.get_version(), 'SSLv3')
AssertionError: 'TLSv1.2' != 'SSLv3'

======================================================================
FAIL: test_sslv23_no_v2_no_service (test_ssl.MiscSSLClientTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/share/doc/m2crypto-0.20.2/tests/test_ssl.py", line 396, in test_sslv23_no_v2_no_service
    self.assertRaises(SSL.SSLError, s.connect, self.srv_addr)
AssertionError: SSLError not raised

======================================================================
FAIL: test_sslv23_weak_crypto (test_ssl.MiscSSLClientTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/share/doc/m2crypto-0.20.2/tests/test_ssl.py", line 414, in test_sslv23_weak_crypto
    self.assertRaises(SSL.SSLError, s.connect, self.srv_addr)
AssertionError: SSLError not raised

----------------------------------------------------------------------

Expected results:
No failures

Additional info:
Comment 2 RHEL Product and Program Management 2013-10-13 19:12:52 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 7 Jan Kurik 2017-12-06 06:50:54 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.